<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="utf-8"/>
  <xsl:template match="/">
  <HTML>
    <HEAD>
      <title>PrinterBvr Behavior: XML/XSL Example</title>

      <link rel="stylesheet" type="text/css"  href="css/sample.css"/>
      <!-- elements of "noPrint" class do not go to print-out! -->
      <style media="print">
        .noPrint { display: none }
      </style>

      <xsl:text disable-output-escaping="yes">
      <![CDATA[

        <?import namespace="tp" declarenamespace implementation="../common/printer.htc" />
        <tp:templateprinter id=printer style="display: none"/>

        <script language="JavaScript">
        //  Show Print Preview Dialog
        function ShowPreview()
        {
          printer.Preview();
        }

        //  Print with a prompt or without it to the current printer
        function Print(promt)
        {
          printer.Print(promt);
        }
        </script>

      ]]>
      </xsl:text>

    </HEAD>

    <BODY>

      <div class="noPrint">
      This example shows how to enable printing of
        XML/XSL based pages using our PrinterBehavior component.
        <hr  size="1"/><br/>
        <table align="center" cellpadding="10">
          <tr align="center">
            <td valign="middle" style="padding-left: 100;">
              <button title="Print Preview..." onclick="ShowPreview()">Preview</button>
            </td>
            <td valign="middle" style="padding-left: 100;">
              <button title="Print With Promt..." onclick="Print(true)">Print</button>
            </td>
            <td valign="middle" style="padding-left: 100;">
              <button title="Print Without Promt..." onclick="Print(false)">Print (no promt)</button>
            </td>
          </tr>
        </table>
        <br/><hr size="1"/>
      </div>

      <TABLE align="center" STYLE="border-collapse: collapse;" id="idTable" cellpadding="7">
        <TR STYLE="font-size: medium; text-decoration: underline;" align="center">
          <TD>Price</TD>
          <TD STYLE="background-color:lightgrey">Time</TD>
          <TD>Bidder</TD>
        </TR>
        <xsl:for-each select="AUCTIONBLOCK/ITEM/BIDS/BID">
        <TR STYLE="font-family:Verdana; font-size:12pt; padding:0px 6px">
          <TD>$<xsl:value-of select="PRICE"/></TD>
          <TD STYLE="background-color:lightgrey"><xsl:value-of select="TIME"/></TD>
          <TD><xsl:value-of select="BIDDER"/></TD>
        </TR>
        </xsl:for-each>
      </TABLE>

    <xsl:text disable-output-escaping="yes"><![CDATA[
      <br><hr size="1">
      <small>Copyright &copy; 2003 PowerTeam, Inc. <a href="cpyright.htm">All
      rights reserved</a></small>
    ]]></xsl:text>

    </BODY>
    </HTML>
  </xsl:template>
</xsl:stylesheet>
